metadata:
  name: frome
  format: "Apertis Test Definition 1.0"
  image-types:
    target:  [ armhf-internal, armhf, amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
  type: unit
  exec-type: automated
  priority: low
  maintainer: "Apertis Project"
  description: "Frome library test."

  macro_modules_preconditions: frome

  expected:
    - "All tests should pass (ok). The output should be similar to:"
    - |
        >test.name0...ok
        test.name1...ok
        test.name2...ok
        test.nameN...ok

install:
  deps:
    - bash
    - devscripts
    - frome-tests
    - gnome-desktop-testing
    - python3-debian
  steps:
    # Download in /tmp directory
    - cd /tmp/
    - apt source frome
    - chown user:user -R /tmp/frome-*
  git-repos:
    - url: https://gitlab.apertis.org/infrastructure/apertis-tests.git
      branch: 'apertis/v2021dev1'

run:
  steps:
    - "# Enter test directory:"
    - cd apertis-tests
    - "# Execute the following commands:"
    - common/run-test-in-systemd --timeout=900 --chdir /tmp/frome-* --user=user --name=frome -- sadt --verbose

parse:
  pattern: '^(?P<test_case_id>[a-zA-Z0-9_\-\./]+)\s...\s(?P<result>ok|FAIL|SKIP)'
  fixupdict:
    ok: pass
    FAIL: fail
    SKIP: skip
